Skip to main content
GET
/
2025-07
/
retail-media
/
accounts
/
{accountId}
/
brands
/2025-07/retail-media/accounts/{accountId}/brands
curl --request GET \
  --url https://api.criteo.com/2025-07/retail-media/accounts/{accountId}/brands \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {
        "name": "<string>"
      }
    }
  ],
  "metadata": {
    "currentPageIndex": 123,
    "currentPageSize": 123,
    "nextPage": "<string>",
    "previousPage": "<string>",
    "totalItemsAcrossAllPages": 123,
    "totalPages": 123
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

The given account id

Query Parameters

limitToId
string[]

The ids that you would like to limit your result set to

pageIndex
integer<int32>
default:0

The 0 indexed page index you would like to receive given the page size

pageSize
integer<int32>
default:25

The maximum number of items you would like to receive in this request

Response

200 - application/json

Success

A wrapper class to return a single page of with metadata

data
object[]
required
metadata
object
required

Metadata related to the current request

errors
object[] | null
warnings
object[] | null